@echo off

rem -----------------------------------------------
rem ENTER THE PATH TO YOUR STATISTICS.CSV FILE HERE
rem -----------------------------------------------
set INPUT="C:\Games\Battlefield 1942\Statistics.csv"

rem ---------------------------------------------------------
rem THIS WILL BE THE DIRECTORY WHERE THE HTML FILE IS CREATED
rem ---------------------------------------------------------
set OUTDIR="..\www"

rem --------------------------------------------------
rem THIS IS THE TEMPLATED USED TO CREATE THE HTML FILE
rem --------------------------------------------------
set TEMPLATE="statistic.template"


rem -------------------------------------------------------
rem DON'T CHANGE THIS UNLESS YOU KNOW WHAT YOU'RE DOING!!!
rem -------------------------------------------------------

IF %JAVA_HOME%@==@ (
	java -cp ..\template;..\lib\bfstats.jar de.mkoehler.bfstats.BFStats -i %INPUT% -o %OUTDIR% -t %TEMPLATE%
) ELSE (
	%JAVA_HOME%\bin\java -cp ..\template;..\lib\bfstats.jar de.mkoehler.bfstats.BFStats -i %INPUT% -o %OUTDIR% -t %TEMPLATE%
)



rem -------------------------------------------------------
rem IF YOU WANT TO RUN THIS SCRIPT UNATTENDED, YOU MAY WANT 
rem TO REMOVE THE FOLLOWING LINE!
rem -------------------------------------------------------

pause